### Method

# Gtk ScaleButtonset_value

#### Declaration [src]

    void
    gtk_scale_button_set_value (
      GtkScaleButton* button,
      double value
    )

#### Description [src]

Sets the current value of the scale.

If the value is outside the minimum or maximum range values, it will be clamped to fit inside them.

The scale button emits the `GtkScaleButton::value-changed` signal if the value changes.

Sets property | `Gtk.ScaleButton:value`

#### Parameters

`value`

  Type: `double`

  New value of the scale button.